Bug 230549 - Review Request: oxine - Lightweight, purely OSD based xine frontend
Review Request: oxine - Lightweight, purely OSD based xine frontend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 239546
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 08:58 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6.6-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 17:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-03-01 08:58:39 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine-0.6-1.src.rpm
Description:
oxine is a lightweight gui for the famous xine engine which uses the on screen
display functionality of xine to display its user interface elements like
buttons, lists sliders and so on. Due to this, oxine can easily be ported to
any video output device the xine library provides (e.g. frame buffer, dxr3,...)
and is particularly suitable for appliances like set-top boxes, home
entertainment systems or kiosk systems.
Comment 1 Matthias Saou 2007-05-09 07:14:35 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine-0.6-2.src.rpm

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.6-2
- Enable weather now that mdsplib is built.

And make this bug depend on bug #239546 (mdsplib review request).
Comment 2 Matthias Saou 2007-05-10 08:36:57 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine-0.6.6-1.src.rpm

* Thu May 10 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-1
- Update to 0.6.6 by including the official patch (no full sources available).
- Remove no longer needed (and possibly incorrect anyway) install patch.
Comment 3 Matthias Saou 2007-05-11 11:20:50 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine-0.6.6-2.src.rpm

* Fri May 11 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-2
- Fix black screen problem by requiring xine-lib-extras, where
  xineplug_decode_image.so is available.
Comment 4 Jason Tibbitts 2007-06-05 14:43:24 EDT
About three weeks ago this package was assigned lxtnow@gmail.com but the
fedora-review flag wasn't changed and nothing has happened since.  Is this
actually being reviewed by anyone?
Comment 5 Matthias Saou 2007-06-05 18:58:24 EDT
Xavier possibly wants to review it, but wishes to finish reviewing the mdsplib
dependency first? Just my guess. but don't hesitate to post any comments/fixes
to the spec file even if not doing a formal review ;-)
Comment 6 Xavier Lamien 2007-06-06 19:42:37 EDT
>> Xavier possibly wants to review it, but wishes to finish reviewing the mdsplib
>> dependency first? Just my guess.

that right.

Now mdsplib has been approved, i'll be able to mock it.
just after Matthias cvs-action :-)

Comment 7 Xavier Lamien 2007-06-09 09:22:42 EDT
mdslib is being re-reviewing with included shared lib instead of static one.
So this review will be delayed until the dependency will be approved yet :)
Comment 8 Xavier Lamien 2007-06-14 16:21:50 EDT
Starting review...
Comment 9 Xavier Lamien 2007-06-15 03:52:51 EDT
OK - Mock : Built on F-7 (x86_64)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License field in spec matches
OK - License is GPL
OK - License match extras packaging policy licenses allowed
OK - License file is included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources SHOULD match upstream md5sum:
618a8cb76ca0f6b3d21c5f8e2be75d72  oxine-0.6.tar.gz
OK - Package has correct buildroot.
OK - extras BuildRequires are not redundant.
OK - %build and %install stages are correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories that other packages own.
OK - Changelog section is correct.

OK - Should function as described.
OK - Should package latest version

-------------------------------------------
Rpmlint output:
-------------------------------------------
OK - silent on both srpm and rpm.


-------------------------------------------
desktop file:
-------------------------------------------
According to the guidelines this package (as a front-end) should have/provide
a desktop file for the GNOME/KDE/XFCE menu.
But, it's a bit "tame" to provide one without icon file (just my guess).
Does upstream have or plan to provide one ?

Note that wine packages are provided with desktop files which haven't icons
files :( (don't really like them)

------------------------------------------
from spec file:
------------------------------------------
# --without-jsw until we get libjsw packaged, but that won't be very easy

Do you know if someone's working on or plan to ?
I did some work on it few month ago, but i think the hard patching work to do
it's more about building subpackage -calibration (which provide an UI).
Except that, the lib that i built seem work nice with my "sidewinder" gamepad.
Comment 10 Matthias Saou 2007-06-15 09:03:22 EDT
Regarding the desktop file, it doesn't make that much sense, since this is an
application meant to be run instead of a window or desktop manager, but I guess
it shouldn't be too hard to add... the toughest part being creating an icon,
since the project doesn't really have a logo.

Now about libjsw : I started looking at it... and it scared me away. The current
sources are a big fat mess, and are really hard to package cleanly (optflags
IIRC). If/when someone packages it for Fedora, I'll be more than glad to enable
support for it in oxine. Luckily it's not mandatory, since keyboard and IR
remote control work fine, so it shouldn't be considered a blocker IMHO.
Comment 11 Matthias Saou 2007-06-15 09:30:08 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/oxine/oxine-0.6.6-3.src.rpm

* Fri Jun 15 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-3
- Include desktop entry and icon based on a CD image from the default theme.
Comment 12 Xavier Lamien 2007-06-15 11:51:31 EDT
[in reply to comment #10]
[...] since this is an
application meant to be run instead of a window or desktop manager,[...]

I meant that desktop file can be set as optional for this package.
but it's nice to add one all the same.

> Now about libjsw : I started looking at it... and it scared me away. The current
> sources are a big fat mess, and are really hard to package cleanly (optflags
> IIRC). 

Ho hell you right ;)

--------------------------------

Just quick note:

Category "Application" should be remove from desktop entry.
Comment 13 Matthias Saou 2007-06-15 11:56:41 EDT
Oh! I looked at the rhythmbox file, and it has "Application" :-/
I've removed it and overwrote the last .src.rpm, as it's such a small change.
Comment 14 Xavier Lamien 2007-06-15 13:41:58 EDT
yeah, it seem that some packages skipped some packaging policies or have been
imported before the heavly edit that the packaging guidelines has had. :)



==============
** APPROVED **
==============




Comment 15 Matthias Saou 2007-06-16 04:51:59 EDT
New Package CVS Request
=======================
Package Name: oxine
Short Description: Lightweight, purely OSD based xine frontend
Owners: matthias@rpmforge.net
Branches: devel F-7 FC-6 FC-5 EL-5 (all current except EL-4)
InitialCC: 
Comment 16 Kevin Fenzi 2007-06-18 00:33:46 EDT
cvs done.
Comment 17 Fedora Update System 2007-06-19 17:38:27 EDT
oxine-0.6.6-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.